/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

[scriptable, uuid(2f66d0d1-f85b-409f-b469-0d7a336d1fb2)]
interface flockILogger: nsISupports
{
  void init(in AString aContext);

  // logging methods
  void debug(in AString aMessage);
  void info(in AString aMessage);
  void warn(in AString aMessage);
  void error(in AString aMessage);
  void fatal(in AString aMessage);
};

%{C++

// 05428cec-9fd4-4955-afc9-eaaf4c6d9f9d
#define FLOCK_LOGGER_CID \
{ 0x05428cec, 0x9fd4, 0x4955, { 0xaf, 0xc9, 0xea, 0xaf, 0x4c, 0x6d, 0x9f, 0x9d } }
#define FLOCK_LOGGER_CLASSNAME "Flock Logger"
#define FLOCK_LOGGER_CONTRACTID "@flock.com/logger;1"

%}
